package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

public class DrpIntoInventoryPageDTO  {
   @ApiModelProperty("入库单号")
   private String intoId;
   @ApiModelProperty("入库时间段开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("入库时间段结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("入库状态(1-待入库,2-已入库)")
   private Long status;
   @ApiModelProperty("入库类型(1-采购入库,2-退料入库,3-调拨入库,5-即入即出,6-超市退单入库,7-盘点入库)")
   private Integer intoType;
   @ApiModelProperty("区域id集合")
   private List<Long> areaIdList;
   @ApiModelProperty("仓库id集合")
   private List<Long> warehouseIdList;

   public String getIntoId() {
      return this.intoId;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public Long getStatus() {
      return this.status;
   }

   public Integer getIntoType() {
      return this.intoType;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public List<Long> getWarehouseIdList() {
      return this.warehouseIdList;
   }

   public void setIntoId(final String intoId) {
      this.intoId = intoId;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setStatus(final Long status) {
      this.status = status;
   }

   public void setIntoType(final Integer intoType) {
      this.intoType = intoType;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setWarehouseIdList(final List<Long> warehouseIdList) {
      this.warehouseIdList = warehouseIdList;
   }

   public String toString() {
      String var10000 = this.getIntoId();
      return "DrpIntoInventoryPageDTO(intoId=" + var10000 + ", startTime=" + String.valueOf(this.getStartTime()) + ", endTime=" + String.valueOf(this.getEndTime()) + ", status=" + this.getStatus() + ", intoType=" + this.getIntoType() + ", areaIdList=" + String.valueOf(this.getAreaIdList()) + ", warehouseIdList=" + String.valueOf(this.getWarehouseIdList()) + ")";
   }
}
